> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assets list with vulnerability counts

> Returns a list of assets and their vulnerability totals (critical/high/medium/low/info), along with basic asset metadata.


Required headers:


- `Authorization: access_token {token}`



## OpenAPI

````yaml openapi.json get /partner/vulnerability/assets
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/vulnerability/assets:
    get:
      tags:
        - Vulnerability Assets
      summary: Assets list with vulnerability counts
      description: "Returns a list of assets and their vulnerability totals (critical/high/medium/low/info), along with basic asset metadata.\r\n\r\n\r\nRequired headers:\r\n\r\n\r\n- `Authorization: access_token {token}`"
      operationId: GetAssetsList
      parameters:
        - name: assetType
          in: query
          description: "    The **assetType** query parameter determines which asset types are returned by the API. \r\n\r\n    When:\r\n    - **assetType=internal**, the response includes assets with **Internal Authenticated** and **Internal Unauthenticated** vulnerabilities.\r\n    - **assetType=external**, the response includes assets with **External – IP Addresses** and **External – Web Application URLs** vulnerabilities."
          schema:
            type: string
            description: "    The **assetType** query parameter determines which asset types are returned by the API. \r\n\r\n    When:\r\n    - **assetType=internal**, the response includes assets with **Internal Authenticated** and **Internal Unauthenticated** vulnerabilities.\r\n    - **assetType=external**, the response includes assets with **External – IP Addresses** and **External – Web Application URLs** vulnerabilities."
        - name: Authorization
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetList'
        '401':
          description: Unauthorized
        '422':
          description: Unprocessable Entity
        '500':
          description: Internal Server Error
components:
  schemas:
    AssetList:
      title: Asset with vulnerability counts
      type: object
      properties:
        TargetId:
          title: Target Id
          type:
            - string
            - 'null'
          description: Unique identifier for the target asset.
        IP:
          title: IP Address
          type:
            - string
            - 'null'
          description: IP address of the asset.
        Icon:
          title: Icon
          type:
            - string
            - 'null'
          description: Icon representing the asset.
        ScanId:
          title: Scan Id
          type: integer
          description: Identifier of the scan in which the asset was included.
          format: int32
        ScanType:
          title: Scan Type
          type:
            - string
            - 'null'
          description: Type of vulnerability scan performed on the asset.
          readOnly: true
        agentIsOnline:
          title: Agent Is Online
          type: boolean
          description: Indicates whether the agent on the asset is currently online.
        AssetName:
          title: Asset Name
          type:
            - string
            - 'null'
          description: Name of the asset.
          readOnly: true
        AssetId:
          title: Asset Id
          type:
            - string
            - 'null'
          description: Id of the asset.
          readOnly: true
        AssetIp:
          title: Asset Ip
          type:
            - string
            - 'null'
          description: IP address of the asset.
          readOnly: true
        OSName:
          title: OS
          type:
            - string
            - 'null'
          description: Operating System of the asset.
          readOnly: true
        TotalNumberOfVulnerabilities:
          title: Total Number Of Vulnerabilities
          type: integer
          description: Total number of vulnerabilities identified for this asset.
          format: int32
          readOnly: true
        NumberOfCriticalVulnerabilities:
          title: Number Of Critical Vulnerabilities
          type: integer
          description: >-
            Number of vulnerabilities with Critical severity identified for this
            asset.
          format: int32
          readOnly: true
        NumberOfHighVulnerabilities:
          title: Number Of High Vulnerabilities
          type: integer
          description: >-
            Number of vulnerabilities with High severity identified for this
            asset.
          format: int32
          readOnly: true
        NumberOfMediumVulnerabilities:
          title: Number Of Medium Vulnerabilities
          type: integer
          description: >-
            Number of vulnerabilities with Medium severity identified for this
            asset.
          format: int32
          readOnly: true
        NumberOfLowVulnerabilities:
          title: Number Of Low Vulnerabilities
          type: integer
          description: >-
            Number of vulnerabilities with Low severity identified for this
            asset.
          format: int32
          readOnly: true
        NumberOfInformationalVulnerabilities:
          title: Number Of Informational Vulnerabilities
          type: integer
          description: >-
            Number of vulnerabilities with Informational severity identified for
            this asset.
          format: int32
          readOnly: true
        AssetScore:
          title: ''
          type:
            - string
            - 'null'
          description: The asset score indicating the overall risk level of the asset.
          readOnly: true
        HasAgentInstalled:
          title: Has Agent Installed
          type: boolean
          description: Indicates whether an agent is currently installed on the asset.
          readOnly: true
        AgentIsOnline:
          title: Agent Is Online
          type: boolean
          description: Indicates whether this asset is online.
          readOnly: true
        Tags:
          title: Tags
          type:
            - string
            - 'null'
          description: Tags associated with this asset.
          readOnly: true
        FingerPrint:
          title: Asset Finger Print
          type:
            - string
            - 'null'
          description: The asset fingerprint for this asset.
          readOnly: true
        FinishTime:
          title: Last Scan Date
          type: string
          description: The date and time when the asset was last scanned.
          format: date-time
          readOnly: true
      additionalProperties: false
      description: >-
        Provides asset vulnerability data including vulnerability counts by
        severity.

````